Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.permalink
Class PermalinkProviderSupport

    java.lang.Object
      net.sourceforge.pebble.permalink.PermalinkProviderSupport

All Implemented Interfaces:
  PermalinkProvider

Direct Known Subclasses:
  DefaultPermalinkProvider, ShortPermalinkProvider, TitlePermalinkProvider

    public abstract class PermalinkProviderSupport

extends java.lang.Object
implements PermalinkProvider

Support class that can be used as a basis for PermalinkProvider implementations.

Author:
  Simon Brown

Constructor Summary
`PermalinkProviderSupport()`

Method Summary
`Blog` | `getBlog()` Gets the blog associated with this provider instance.
`Day` | `getDay(java.lang.String uri)` Gets the day referred to by the specified URI.
`Month` | `getMonth(java.lang.String uri)` Gets the monthly blog referred to by the specified URI.
`java.lang.String` | `getPermalink(Day day)` Gets the permalink for a day.
`java.lang.String` | `getPermalink(Month month)` Gets the permalink for a monthly blog.
`boolean` | `isDayPermalink(java.lang.String uri)` Determines whether the specified URI is a day permalink.
`boolean` | `isMonthPermalink(java.lang.String uri)` Determines whether the specified URI is a monthly blog permalink.
`void` | `setBlog(Blog blog)` Sets the blog associated with this provider instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sourceforge.pebble.api.permalink.PermalinkProvider
`getBlogEntry, getPermalink, isBlogEntryPermalink`

Constructor Detail

### PermalinkProviderSupport

    public PermalinkProviderSupport()

Method Detail

### getBlog

    public Blog getBlog()

  Gets the blog associated with this provider instance.

  Specified by:
    `getBlog` in interface `PermalinkProvider`
  Returns:
    a Blog instance

### setBlog

    public void setBlog(Blog blog)

  Sets the blog associated with this provider instance.

  Specified by:
    `setBlog` in interface `PermalinkProvider`
  Parameters:
    `blog` - a Blog instance

### getPermalink

    public java.lang.String getPermalink(Month month)

  Gets the permalink for a monthly blog.

  Specified by:
    `getPermalink` in interface `PermalinkProvider`
  Parameters:
    `month` - a Month instance
  Returns:
    a URI as a String

### isMonthPermalink

    public boolean isMonthPermalink(java.lang.String uri)

  Determines whether the specified URI is a monthly blog permalink.

  Specified by:
    `isMonthPermalink` in interface `PermalinkProvider`
  Parameters:
    `uri` - a relative URI
  Returns:
    true if the URI represents a permalink to a monthly blog, false otherwise

### getMonth

    public Month getMonth(java.lang.String uri)

  Gets the monthly blog referred to by the specified URI.

  Specified by:
    `getMonth` in interface `PermalinkProvider`
  Parameters:
    `uri` - a relative URI
  Returns:
    a Month instance, or null if one can't be found

### getPermalink

    public java.lang.String getPermalink(Day day)

  Gets the permalink for a day.

  Specified by:
    `getPermalink` in interface `PermalinkProvider`
  Parameters:
    `day` - a Day instance
  Returns:
    a URI as a String

### isDayPermalink

    public boolean isDayPermalink(java.lang.String uri)

  Determines whether the specified URI is a day permalink.

  Specified by:
    `isDayPermalink` in interface `PermalinkProvider`
  Parameters:
    `uri` - a relative URI
  Returns:
    true if the URI represents a permalink to a day, false otherwise

### getDay

    public Day getDay(java.lang.String uri)

  Gets the day referred to by the specified URI.

  Specified by:
    `getDay` in interface `PermalinkProvider`
  Parameters:
    `uri` - a relative URI
  Returns:
    a Day instance, or null if one can't be found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.